/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "duskraylib.h"
#include "entity/entity.h"

/**
 * Initializes the overworld drawing system.
 */
void drawOverworldInit(void);

/**
 * Renders the overworld, including map and characters.
 */
void drawOverworldDraw(void);

/**
 * Renders a specific entity in the overworld.
 * 
 * @param entity The entity to render.
 */
void drawOverworldDrawEntity(const entity_t *entity);